Subject: Re: (SC24.329) Description of changes

From: "Richard F. Puk" <"puk@puk"@igraphics.com>
Date: Tue, 12 Aug 1997 13:16:49 -0700

Steve --

Philosophically, I have no problems with any of the changes. My only
concern is the need to somehow find a way to abort standardization if
the DIS ballot succeeds and the W3C equivalent ballot fails.

  -- Dick

Steve Carson wrote:
> 
> This forwarded mail contains a description of the changes in Draft 4 of the
> Cooperative Agreement from the Kista Version.
> 
> >Date: Tue, 12 Aug 1997 13:20:12 +0200 (MET)
> >From: Chris Lilley <[email-masked]>
> >To: Steve Carson <[email-masked]>, [email-masked]
> >Subject: (Fwd) Re: Cooperative Agreement
> >
> >
> >--- Forwarded mail from Chris Lilley <[email-masked]>
> >
> >Date: Wed, 23 Jul 1997 19:47:09 +0200 (MET)
> >From: Chris Lilley <[email-masked]>
> >To: Steve Carson <[email-masked]>, [email-masked], [email-masked]
> >Subject: Re: Cooperative Agreement
> >Cc: [email-masked], [email-masked], [email-masked],
> >        [email-masked]
> >
> >On Jul 21,  6:51pm, Steve Carson wrote:
> >
> >> I am contacting you again as Chair of ISO/IEC JTC1/SC24. SC 24 is ready to
> >> forward a New Work Item Proposal to JTC 1 for approval to initiate the PNG
> >> project. Before we do this we need at least a statement of intent from W3C
> >> that you will work with us to transpose PNG into an ISO standard and will
> >> negotiate and approve a Cooperative Agreement that governs the work, to be
> >> based on the draft we gave you in June.
> >
> >The issue has now been dicussed by both the Advisory Council of W3C
> >(representatives from all the member companies) and by W3C management.
> >I believe that we now have agreement in principle to proceed, and
> >commitment from W3C management to negotiate and approve a Cooperative
> >Agreement based on the June draft.
> >
> >> I understand from Chris Lilley that approval of this draft agreement is in
> >> the works, but recent attempts to contact Chris to determine the current
> >> status have failed, I assume because he is out of the office.
> >
> >A mixture of being out, busy and also I was ill recently; my apologies for
> >keeping you waiting. The current status is that the Cooperative Agreement
> >has been discussed in detail by W3C management and myself; some changes
> >were proposed and these are incorporated into the attached version.
> >The decision was to proceed with the proposed cooperation, which was seen
> >as being valuable.
> >
> >Some changes were minor clarifications: ISO will not be changing the W3C
> >Recommendations, as the text seemed to indicate - rather it will be
> >changing it's CD and DIS texts relative to the base W3C Recommendations
> >(I believe that was the intent of the wording but the old wording could
> >be and was misinterpreted).
> >
> >The part about basing ISO work on W3C Recommendations was moved to make
> >it a little more prominent. Sections 5.4 and 5.5 were swapped over to
> >correspond to the chronological order (changes, then finishing up rather
> >than finishing up followed by changes). The list in the (old)5.5 (new)5.4
> >was altered from three list items to two list items and a comment, since
> >it could have been be mis-interpreted .
> >
> >Text about W3C process has had some detail added, a change which mainly
> >makes clearer to our membership what will happen.
> >
> >There was agreement about the overall two-part working process; the
> >technical part happens in W3C with ISO participation, and the
> >final editorial part happens in ISO with W3C participation. The process
> >ends with a ratifying vote.
> >
> >The June draft of the Cooperative Agreement gave some protection to ISO
> >in the event (considered unlikely) that there were severe technical
> >flaws in a W3C Recommendation which would render it unimplementable or
> >otherwise significantly flawed. The position of W3C management is that
> >there should be a similar protection for W3C in the event (considered
> >unlikely) that there were severe technical flaws, or differences of
> >interpretation introduced by ISO editorial process, which could lead to
> >inconsistent implementation. In accordance with the June draft, "The
> >ISO/IEC DIS text shall be published by the W3C  for review within the
> >Consortium according to Consortium practices". (The new draft goes into
> >a little W3C-specific detail about how that review should be conducted).
> >
> >The addition to the finishing up process was made at the behest of Tim
> >Berners-Lee and appears to meet the requirement of W3C management that
> >W3C have some protection against the ISO document turning out to compromise
> >rather than enhance the interoperability of the Web. The proposal is that,
> >should either the DIS ballot or the W3C AC ballot fail, the document
> >should not be promoted to ISO/IEC IS status.
> >
> >Since the same AC has already voted in favour of the original technical
> >content (when it promoted the document from Proposed Recommendation to
> >Recommendation) the only circumstance in which it would vote no would
> >be if substantial changes had been introduced by the ISO process which
> >were felt to hinder interoperability. This is of course unlikely, since
> >such changes should have been caught and dealt with by the document
> >editors; similarly it is unlikely that technical changes would be required
> >since the document authors, editors and the implementors should have caught
> >them. Clearly, however, both parties require some protection for the
> >exceptional circumstance.
> >
> >> If I can just
> >> get e-mail from a W3C officer stating your intent as described above, we
> >> can go ahead and start the project.
> >
> >I have e-mail from Jean-François Abramatic, Chairman of the W3C
> >which he has authorised me to forward to you stating that intent, based
> >on the new draft of the Cooperative Agreement. He will follow up with
> >official notification on paper, if required. We hope that the process
> >will take less than "several months" in practice.
> >
> >--- Forwarded mail from Jean-Francois Abramatic <[email-masked]>
> >Letter of Intent
> >
> >This letter of intent confirms that the signers intend to negotiate
> >a Cooperative Agreement based on the attached initial draft dated
> >July 21, 1997. This agreement will cover cooperation between the World
> >Wide Web Consortium (W3C) and ISO/IEC JTC1 to develop an ISO standard:
> >Portable Networked Graphics (PNG) based on the W3C publically available
> >PNG Recommendation.
> >
> >Once this letter is signed by all parties, the Chair of ISO/IEC JTC1/SC24
> >will initiate processing of the proposed Cooperative agreement through
> >the approval steps required by ISO and the IEC and the Chairman of W3C
> >will initiate processing of the proposed Cooperative agreement through
> >the approval steps required by W3C.
> >
> >This process is expected to take several months, and both W3C and SC24
> >agree to make a good faith effort to mutually resolve any concerns with
> >the draft text.
> >
> >For ISO and IEC
> >
> >George S. Carson, Chair, ISO/IEC JTC1/SC24, Computer Graphics and Image
> >Processing
> >
> >For W3C
> >
> >Jean-Francois Abramatic, Chairman
> >
> >---End of forwarded mail from Jean-Francois Abramatic <[email-masked]>
> >
> >--
> >Chris Lilley, W3C                          [ http://www.w3.org/ ]
> >Graphics and Fonts Guy            The World Wide Web Consortium
> >http://www.w3.org/people/chris/              INRIA,  Projet W3C
> >[email-masked]                       2004 Rt des Lucioles / BP 93
> >+33 (0)4 93 65 79 87       06902 Sophia Antipolis Cedex, France
> >
> >
> >---End of forwarded mail from Chris Lilley <[email-masked]>
> >
> >--
> >Chris Lilley, W3C                          [ http://www.w3.org/ ]
> >Graphics and Fonts Guy            The World Wide Web Consortium
> >http://www.w3.org/people/chris/              INRIA,  Projet W3C
> >[email-masked]                       2004 Rt des Lucioles / BP 93
> >+33 (0)4 93 65 79 87       06902 Sophia Antipolis Cedex, France
> >
> >
> 
> ---------------------------------------------------------
> Steve Carson                 phone:   +1-505-521-7399
> GSC Associates Inc.          fax:     +1-505-521-9321
> 5272 Redman Road             e-mail:  [email-masked]
> Las Cruces, NM 88011 USA
> ---------------------------------------------------------

-- 
/----------------------------------------------------------------------\
|  Richard F. Puk                     Tel:     +1-760-753-9027         |
|  Intelligraphics Incorporated       Fax:     +1-760-753-9027         |
|  7644 Cortina Court                 E-Mail:  [email-masked]       |
|  Carlsbad, California  92009-8206                                    |
|  USA                                                                 |
\----------------------------------------------------------------------/